Subject: Re: [bug#40236] [PATCH] doc: Suggest Btrfs with compression instead of ext4 for root partition.

From: Efraim Flashner <[email-masked]>
Date: Fri, 10 Apr 2020 11:24:25 +0300

On Fri, Apr 10, 2020 at 09:39:18AM +0200, Pierre Neidhardt wrote:
> > So compression saves me 26% ([69-51]/69), and deduplication saves me
> > 62% ([180-69]/180).
> 
> Thanks for sharing!
> zstd might give better results.  Any reason you chose lzo over zstd?
> 

My machine is about 10 years old so I was more concerned than normal
about the CPU usage. If lz4 was an option I would've gone with that, but
according to the Arch wiki or some other locations lzo was basically the
fastest option.

Since mail is mostly text I occasionally recompress that. I haven't
figured out how to use 'btrfs filesystem defragment' to choose the
compression level for zstd.

(ins)efraim@E5400 ~$ sudo compsize Maildir/
Password:
Processed 121378 files, 129245 regular extents (129245 refs), 19963 inline.
Type       Perc     Disk Usage   Uncompressed Referenced
TOTAL       66%      3.3G         4.9G         4.9G
none       100%      282M         282M         282M
zlib        55%      137K         248K         248K
lzo         53%      125M         233M         233M
zstd        64%      2.9G         4.4G         4.4G

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted